Subject: RE: uudecode?
From: [email-masked] (Mark Newnham)

21 Jan 1999 01:55:48 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
To: "'John Cooper'" <[email-masked]>
Cc: [email-masked], [email-masked]

The problem appears to be with the uuencode portion, because a file
encoded on a different system will uudecode correctly with the source
supplied.

If you compare a file encoded with the source code, against the same
file encoded on a Unix system, although the files are the same size,
each line on the Unix encoded file starts with a 'M' (or possibly the
'M' is after the newline on the previous. This does not appear with the
source code version.

Also when an attempt is made to decode a file uuencoded with the source
code version on a Unix system, the error "No end line" appears.

Excuse me for not being able to offer a solution, but this information
might help those more capable than myself..... 

Mark Newnham
Application Design Associates, Inc
6021 S.Syracuse Way #302
Englewood, CO 80111, USA
+1 303 779  8958

	-----Original Message-----
	From:	John Cooper [SMTP:[email-masked]]
	Sent:	Tuesday, January 19, 1999 7:40 AM
	To:	[email-masked]
	Cc:	'John Cooper'; [email-masked]; [email-masked]
	Subject:	Re: uudecode?

	Bernard Dautrevaux <[email-masked]> writes:

	 > I'm not sure, but I'll bet that you have to sligthly change
the uudecode
	 > source code to ensure that the open of the output file is
done in binary
	 > mode : open(... O_BINARY) or fopen(..., "wb")). Your problem
is most surely
	 > this infamous text!=binary feature :-( of Losedows...

	It already does this - is there a known problem with `fopen'?
Do I need to use
	`open' instead?

	4 lines matching "open" in buffer uudecode.c.
	    9:    FILE *out, *in = fopen(fname, "rb");
	   11:        fprintf(stderr,"Impossible to open %s\n",fname);
	   33:    out = fopen(outname, "wb");
	   35:        fprintf(stderr,"Impossible to open %s\n",outname);

	1 line matching "open" in buffer uuencode.c.
	   10:    if ((in = fopen(nom, "rb")) == NULL)

	    --- John

	-
	For help on using this list (especially unsubscribing), send a
message to
	"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".